Bug 21920 - kudzu needs to ignore Q-logic chip on Aspen/Taos AMI cards
kudzu needs to ignore Q-logic chip on Aspen/Taos AMI cards
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pciutils (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-07 19:29 EST by Tesfamariam Michael
Modified: 2014-03-16 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 21:26:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tesfamariam Michael 2000-12-07 19:29:06 EST
When using AMI Aspen (Perc 3/QC) or Taos (perc 3/DC), kudzu detects the Q-
logic pci brigde chip on the cards and tries to insmod the q-logic modules 
which generates resourse or modules is busy error message. Kudzu needs to 
ignore the q-logic chips on these cards. The following two patches should 
do that

--- pcitable.orig	Mon Dec  4 11:59:37 2000
+++ pcitable	Mon Dec  4 12:03:13 2000
@@ -704,6 +704,8 @@
 0x1077	0x1022	"unknown"	"Q Logic|ISP1022"
 0x1077	0x1080	"qla1280"	"Q Logic|QLA1080"
 0x1077	0x1216	"qla1280"	"Q Logic|QLA12160"
+0x1077	0x1216	0x101e	0x8471	"ignore"	"Q Logic|QLA12160 on AMI 
MegaRAID 471"
+0x1077	0x1216	0x101e	0x8493	"ignore"	"Q Logic|QLA12160 on AMI 
MegaRAID 493"
 0x1077	0x1240	"qla1280"	"Q Logic|QLA1240"
 0x1077	0x1280	"qla1280"	"Q Logic|QLA1280"
 0x1077	0x2020	"unknown"	"Q Logic|ISP2020A"

--- pci.ids.orig	Mon Dec  4 12:05:28 2000
+++ pci.ids	Mon Dec  4 12:15:14 2000
@@ -439,6 +439,9 @@
 	9033  SCSI Controller
 	9040  Multimedia card
 	9060  MegaRAID
+	1960  MegaRAID
+		1028 0471 PowerEdge RAID Controller 3/QC
+		1028 0493 PowerEdge RAID Controller 3/DC
 101f  PictureTel
 1020  Hitachi Computer Products
 1021  OKI Electric Industry Co. Ltd.
@@ -1108,6 +1111,8 @@
 	1022  ISP1022
 	1080  QLA1080
 	1216  QLA12160
+		101e 8471 QLA12160 on AMI MegaRAID
+		101e 8493 QLA12160 on AMI MegaRAID
 	1240  QLA1240
 	1280  QLA1280
 	2020  ISP2020A
Comment 1 Bill Nottingham 2000-12-07 22:58:00 EST
Committed to kudzu, will be in next build (0.83 or so.)
Comment 2 Bill Nottingham 2000-12-12 11:46:17 EST
will be in pciutils-2.1.8-9 as well.
Comment 3 Tesfamariam Michael 2001-01-30 20:32:32 EST
Florence Beta3 (Fisher) is still trying to "insmod qla1280" when using 
Perc3/Qc, Perc3/DC, Perc3/DCL which have a Q-logic chip. When using these 
cards, the installer and kudzu needs to be told not to try to install qla1280 
module on the cards.
Comment 4 Michael Fulbright 2001-02-13 21:26:39 EST
I've added the "ignore" lines into the pcitable that the installer uses.

This should help this problem.

Note You need to log in before you can comment on or make changes to this bug.